<?php

namespace app\admin\validate\at_home;

use think\Validate;

class GoodsValidate extends Validate
{
    protected $rule = [
        'goods_id' => 'require|integer',
        'goods_category_id' => 'require|in:108,109,110,111,112,113',
        'goods_name' => 'require',
        'goods_img' => 'require|regex:/^[0-9a-zA-Z\.\/]+$/',
        'goods_mobile' => 'require|mobile',
        'goods_status' => 'require|in:0,1',
        'goods_sort' => 'require|integer'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['goods_category_id', 'goods_name', 'goods_img', 'goods_mobile', 'goods_status', 'goods_sort'],
        'update' => ['goods_id', 'goods_category_id', 'goods_name', 'goods_img', 'goods_mobile', 'goods_status', 'goods_sort'],
    ];
}