<?php

namespace app\admin\validate\life;

use think\Validate;

class CollegeCoursesValidate extends Validate
{
    protected $rule = [
        'courses_id' => 'require|integer',
        'courses_name' => 'require|chsDash',
        'courses_img' => 'url',
        'courses_introduction' => 'require',
        'courses_type' => 'integer',
//        'courses_time' => '',
//        'courses_long'=>'',
//        'courses_week' => 'integer',
        'courses_category_id' => 'require|integer',
        'courses_teacher_id' => 'require|integer',
        'courses_num' => 'require|integer',
        'courses_join_num' => 'integer',
//        'courses_label' => 'chsDash',
        'courses_status' => 'integer',
        'courses_is_del' => 'integer'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['courses_name', 'courses_img', 'courses_introduction', 'courses_type', 'courses_time', 'courses_week', 'courses_category_id', 'courses_teacher_id', 'courses_num', 'courses_join_num', 'courses_label', 'courses_status', 'courses_is_del'],
        'update' => ['courses_id', 'courses_name', 'courses_img', 'courses_introduction', 'courses_type', 'courses_time', 'courses_week', 'courses_category_id', 'courses_teacher_id', 'courses_num', 'courses_join_num', 'courses_label', 'courses_status', 'courses_is_del']
    ];
}