<?php

namespace app\admin\validate\member;

use think\Validate;

class WellnessRecordValidate extends Validate
{
    protected $rule = [
        'wellness_record_id' => 'require|integer',
        'join_wellness_record_member_id' => 'require',
        'wellness_record_status' => 'max:32',
        'wellness_record_category' => 'in:档案,体检,病例,医嘱,来访,其他',
        'wellness_record_name' => 'require',
//        'wellness_record_datetime' => 'max:20',
        'wellness_record_file_json' => 'isJson',
        'wellness_record_json' => 'isJson',
        'wellness_record_extend_json' => 'isJson',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['join_wellness_record_member_id', 'wellness_record_category', 'wellness_record_name', 'wellness_record_datetime'],
        'update' => ['wellness_record_id', 'join_wellness_record_member_id', 'wellness_record_category', 'wellness_record_name', 'wellness_record_datetime'],
    ];
}