<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class MenuValidate extends Validate
{
    protected $rule = [
        'menu_id' => 'require|integer',
        'menu_pid' => 'require|integer',
        'menu_icon' => 'alphaDash',
        'menu_name' => 'require|max:128',
        'menu_route' => 'max:64',
        'menu_params' => 'max:128',
        'menu_sort' => 'require|integer',
        'menu_is_show' => 'require|integer',
        'menu_is_menu' => 'require|integer',
        'menu_status' => 'require|integer',
        'level' => 'integer',
    ];

    protected $scene = [
        'add' => ['menu_pid', 'menu_icon', 'menu_name', 'menu_route', 'menu_params', 'menu_sort', 'menu_is_show', 'menu_is_menu', 'menu_status', 'level'],
        'update' => ['menu_pid', 'menu_icon', 'menu_name', 'menu_route', 'menu_params', 'menu_sort', 'menu_is_show', 'menu_is_menu', 'menu_status', 'level'],
    ];
}