<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class RoleValidate extends Validate
{
    protected $rule = [
        'role_id'       => 'require',
        'role_status'   => 'require|in:ACTIVED,DISABLED',
        'role_category' => 'require|in:NORMAL,OTHER',
        'role_name'     => 'chsDash'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['role_status', 'role_category', 'role_name'],
        'update' => ['role_status', 'role_category', 'role_name'],
        'update_status' => ['role_status'],
    ];
}