<?php

namespace app\admin\validate\life;

use think\Validate;

class CollegeTeacherValidate extends Validate
{
    protected $rule = [
        'teacher_id' => 'require|integer',
        'teacher_name' => 'require|chsDash',
        'teacher_title' => 'chsDash',
        'teacher_img' => 'require|url',
        'teacher_introduction' => 'chsDash',
        'teacher_is_del' => 'integer',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['teacher_name', 'teacher_title', 'teacher_img', 'teacher_introduction'],
        'update' => ['teacher_id', 'teacher_name', 'teacher_title', 'teacher_img', 'teacher_introduction', 'teacher_is_del']
    ];
}