<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class ArticleValidate extends Validate
{
    protected $rule = [
        'id' => 'require|integer',
        'title' => 'require|max:64',
        'author' => 'max:64',
        'introduce' => 'max:255',
        'sort'=>'integer'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['title', 'author', 'introduce','sort'],
        'update' => ['id', 'title', 'author', 'introduce','sort'],
    ];
}